Delete Item Sales Channel Price
curl --request DELETE \
--url https://api.jtl-cloud.com/erp/items/{itemId}/salesChannelPrices/{salesChannelId}/{customerGroupId}/{fromQuantity} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/items/{itemId}/salesChannelPrices/{salesChannelId}/{customerGroupId}/{fromQuantity}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/items/{itemId}/salesChannelPrices/{salesChannelId}/{customerGroupId}/{fromQuantity}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}item
Delete Item Sales Channel Price
DElete a specific sales channel price for a given item
DELETE
/
items
/
{itemId}
/
salesChannelPrices
/
{salesChannelId}
/
{customerGroupId}
/
{fromQuantity}
Delete Item Sales Channel Price
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
The sales channel Id of the item that the sales channel price belongs to. Only online shops and JTL-POS are allowed.
The quantity the customer must buy to find the sales price.
Response
Was this page helpful?
⌘I